## webrtc-audio-processing 1.3

=== meson_options.txt ===
option('gnustl', type: 'feature',
       value: 'auto',
       description: 'Use gnustl for a c++ library implementation (only used on Android)')
option('neon', type: 'combo',
       choices: ['no', 'yes', 'auto', 'runtime'],
       description: '')

## webrtc-audio-processing 0.1

=== debian/changelog ===
webrtc-audio-processing (0.1-3ubuntu1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 16:28:43 +0000

webrtc-audio-processing (0.1-3build1) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures. 

 -- Brian Murray <brian@ubuntu.com>  Tue, 24 Feb 2015 14:53:50 -0800

webrtc-audio-processing (0.1-3) unstable; urgency=medium

  * Use --with autoreconf (Closes: #736967)
  * debian/patches/0002-fix-compiler-warning.patch
    + Added. Fix compiler warning (from upstream svn)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 05 Jul 2014 22:00:02 +0200

webrtc-audio-processing (0.1-2) unstable; urgency=low

  * d/p/0001-Don-t-error-or-set-options-for-unknown-architectures.patch
    - Added. Don't error out if the architecture isn't recognised, as the
      defines aren't strictly necessary for the audio processing subset.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 May 2012 22:00:19 +0200

webrtc-audio-processing (0.1-1) unstable; urgency=low

  * Initial release (Closes: #672797)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 13 May 2012 19:09:01 +0200

=== debian/control ===
Source: webrtc-audio-processing
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf
Standards-Version: 3.9.3
Section: libs
Homepage: http://freedesktop.org/software/pulseaudio/webrtc-audio-processing/
Vcs-Git: git://git.debian.org/git/pkg-pulseaudio/webrtc-audio-processing.git
Vcs-Browser: http://git.debian.org/?p=pulseaudio/webrtc-audio-processing.git;a=summary

Package: libwebrtc-audio-processing-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebrtc-audio-processing-0 (= ${binary:Version}), ${misc:Depends}
Description: development files for the webrtc-audio-processing library
  Audio processing library (echo-cancellation, gain control etc) around the
  AudioProcessing module from the WebRTC project
  (http://code.google.com/p/webrtc/)
  .
  Headers and libraries for developing applications using
  libwebrtc-audio-processing

Package: libwebrtc-audio-processing-0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AudioProcessing module from the WebRTC project.
  Audio processing library (echo-cancellation, gain control etc) around the
  AudioProcessing module from the WebRTC project
  (http://code.google.com/p/webrtc/)

## webrtc-audio-processing 0.3

=== debian/changelog ===
webrtc-audio-processing (0.3-1mx15+1) mx; urgency=medium

  * New release repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Sun, 12 Nov 2017 16:42:34 -0800

webrtc-audio-processing (0.3-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Apply-msse2-flag-to-the-source-objects-that-require-.patch:
    - Dropped, applied upstream

 -- Felipe Sateler <fsateler@debian.org>  Sun, 03 Jul 2016 11:38:54 -0400

webrtc-audio-processing (0.2-3) experimental; urgency=medium

  * Add debian/gbp.conf
  * Drop patch numbering
  * Replace "Don't error on unknown archs patch" with generic detection code

 -- Felipe Sateler <fsateler@debian.org>  Wed, 08 Jun 2016 19:27:28 -0400

webrtc-audio-processing (0.2-2) experimental; urgency=medium

  * Section and priority cleanup
  * Add patch to support big endian archs
  * Add patch to fix sse2 compilation on i386

 -- Felipe Sateler <fsateler@debian.org>  Mon, 06 Jun 2016 18:57:45 -0400

webrtc-audio-processing (0.2-1) experimental; urgency=medium

  * New upstream release.
   - Drop 0002-fix-compiler-warning.patch, applied upstream
   - Refresh 0001-Don-t-error-or-set-options-for-unknown-architectures.patch
   - Bump soname
  * Remove reference to google code
  * d/copyright: use SPDX name for bsd license
  * Remove extra leading spaces from descriptions
  * Bump standards-version
  * Set pulseaudio team as maintainer, add myself to uploaders
  * Canonicalize vcs and copyright format urls

 -- Felipe Sateler <fsateler@debian.org>  Wed, 27 Apr 2016 20:36:19 -0300

=== debian/control ===
Source: webrtc-audio-processing
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
Uploaders:
 Sjoerd Simons <sjoerd@debian.org>,
 Felipe Sateler <fsateler@debian.org>
Section: libs
Priority: optional
Build-Depends: autotools-dev, debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pulseaudio/webrtc-audio-processing.git
Vcs-Git: https://anonscm.debian.org/git/pkg-pulseaudio/webrtc-audio-processing.git
Homepage: http://freedesktop.org/software/pulseaudio/webrtc-audio-processing/

Package: libwebrtc-audio-processing-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebrtc-audio-processing1 (= ${binary:Version}), ${misc:Depends}
Description: development files for the webrtc-audio-processing library
 Audio processing library (echo-cancellation, gain control etc) around the
 AudioProcessing module from the WebRTC project
 .
 Headers and libraries for developing applications using
 libwebrtc-audio-processing

Package: libwebrtc-audio-processing1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: AudioProcessing module from the WebRTC project.
 Audio processing library (echo-cancellation, gain control etc) around the
 AudioProcessing module from the WebRTC project

## webrtc-audio-processing 0.3.1

=== debian/changelog ===
webrtc-audio-processing (0.3.1-0ubuntu6) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:22:03 +0200

webrtc-audio-processing (0.3.1-0ubuntu5) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:53:25 +0100

webrtc-audio-processing (0.3.1-0ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:21 +0200

webrtc-audio-processing (0.3.1-0ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:29:39 +0100

webrtc-audio-processing (0.3.1-0ubuntu2) eoan; urgency=medium

  * debian/control: build-depends on pkg-config

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 28 Aug 2019 17:37:13 +0200

webrtc-audio-processing (0.3.1-0ubuntu1) eoan; urgency=medium

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Aug 2019 16:23:08 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: webrtc-audio-processing
-Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
 Uploaders:
  Sjoerd Simons <sjoerd@debian.org>,
  Felipe Sateler <fsateler@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: autotools-dev, debhelper (>= 9), dh-autoreconf
+Build-Depends: autotools-dev, debhelper (>= 9), dh-autoreconf, pkg-config
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pulseaudio/webrtc-audio-processing.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-pulseaudio/webrtc-audio-processing.git

## webrtc-audio-processing 1.3

=== debian/changelog ===
webrtc-audio-processing (1.3-3) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Jan 2025 06:53:03 -0500

webrtc-audio-processing (1.3-2) experimental; urgency=medium

  * Team upload
  * Restore unversioned names for -dev packages
  * Run wrap-and-sort
  * Enable all hardening flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 23 Jan 2025 13:20:51 -0500

webrtc-audio-processing (1.3-1) experimental; urgency=medium

  [ Alper Nebi Yasak ]
  * New upstream version 1.3
  * Drop patches merged upstream
    - arch.h: Add RISC-V support
    - build: Fix ARM ISA detection
    - Add missing header for C++17 compatibility
    - build: Use cmake to look up abseil dependency
    - build: fix -Dneon=runtime
    - build: don't detect neon again when building on aarch64
  * Declare compliance with Debian Policy 4.7.0
  * Set Rules-Requires-Root to no
  * Install README.md as documentation instead of empty README
  * Replace Build-Depends on cmake with pkgconf
  * Add libabsl-dev to libwebrtc-audio-processing-dev dependencies
    (Closes: #1021835)
  * Cherry-pick patch to include stdint.h in file_wrapper.h
  * Apply patch to include stdint.h in task_queue_base.h
  * Decode base64-encoded third-party files
  * Replace patches avoiding SSE2 on i386 with a simpler one
  * Add more patches to fix mips64el build
    - meson: Drop malformed WEBRTC_ARCH_MIPS_FAMILY cflags argument
    - meson: Avoid default AECM implementation on MIPS
    - AECM: MIPS: Use uintptr_t for pointer arithmetic
    - common_audio: Add MIPS_DSP_R1_LE guard for vector scaling ops
  * Document license for vendored pffft files in d/copyright
  * Document license for vendored rnnoise files in d/copyright
  * Document license for vendored fft.c file in d/copyright
  * Rename binary packages to be consistent with new SONAME
  * Split webrtc-audio-coding library into its own binary package
    (Closes: #1021834)

  [ Sebastien Bacher ]
  * debian/control:
    - let libwebrtc-audio-coding-1-3 Replaces/Breaks
      libwebrtc-audio-processing-1-3 (<< 1.3-1~) to help Ubuntu upgrades

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Dec 2024 11:08:29 +0100

webrtc-audio-processing (1.0-0.2) experimental; urgency=medium

  * Non-maintainer upload.

  [ Jonas Smedegaard ]
  * add patches cherry-picked upstream
    to fix enable neon only when needed
  * declare compliance with Debian Policy 4.6.1
  * add patch to fix MIPS-specific source path
  * add patches to fix avoid SSE2 on i386

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Aug 2022 16:25:21 +0200

webrtc-audio-processing (1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.

  [ upstream ]
  * new release;
    closes: bug#934811, thanks to Sebastien Bacher
    + Add support for non-Linux GNU;
      closes: bug#829570, thanks to Svante Signell

  [ Pino Toscano ]
  * Fix typo in Vcs-Browser url (Closes: #869384)

  [ Laurent Bigonville ]
  * New upstream version 1.0
  * Switch to meson
  * debian/control: Add libabsl-dev to the build-dependencies
  * Use cmake to look up abseil dependency, patch from upstream.
    Also add cmake to the build-dependencies
  * Bump debhelper compatibility to 13
  * debian/libwebrtc-audio-processing-dev.install:
    Remove the static library, not built anymore
  * Add a debian/watch file
  * debian/control: Update the Vcs-* fields to point them to salsa

  [ Jonas Smedegaard ]
  * apply upstream-applied patch before upstream-proposed patches
  * add patches cherry-picked upstream:
    + Fix ARM ISA detection
    + Add RISC-V support
    + Fix C++17 compatibility
  * replace patch for big endine support which no longer applies,
    with patch for Telegram Desktop (libtgowt)
  * unfuzz remaining patches, and add/update DEP-3 patch headers
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Aug 2022 13:31:24 +0200

=== debian/control ===
Source: webrtc-audio-processing
Maintainer: Pulseaudio maintenance team <pkg-pulseaudio-devel@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Felipe Sateler <fsateler@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13), libabsl-dev, meson, pkgconf
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/pulseaudio-team/webrtc-audio-processing
Vcs-Git: https://salsa.debian.org/pulseaudio-team/webrtc-audio-processing.git
Homepage: http://freedesktop.org/software/pulseaudio/webrtc-audio-processing/

Package: libwebrtc-audio-processing-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libabsl-dev,
         libwebrtc-audio-processing-1-3 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libwebrtc-audio-processing-1-dev (<< 1.3-2~)
Replaces: libwebrtc-audio-processing-1-dev (<< 1.3-2~)
Description: development files for the webrtc-audio-processing-1 library
 Audio processing library (echo-cancellation, gain control etc) around the
 AudioProcessing module from the WebRTC project
 .
 Headers and libraries for developing applications using
 libwebrtc-audio-processing-1

Package: libwebrtc-audio-processing-1-3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: WebRTC Audio Processing library
 Audio processing library (echo-cancellation, gain control etc) around the
 AudioProcessing module from the WebRTC project

Package: libwebrtc-audio-coding-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwebrtc-audio-coding-1-3 (= ${binary:Version}), ${misc:Depends}
Breaks: libwebrtc-audio-coding-1-dev (<< 1.3-2~),
        libwebrtc-audio-processing-dev (<< 1.3-2~)
Replaces: libwebrtc-audio-coding-1-dev (<< 1.3-2~),
          libwebrtc-audio-processing-dev (<< 1.3-2~)
Description: development files for the webrtc-audio-coding-1 library
 Audio encoding-decoding library around the AudioProcessing module from the
 WebRTC project
 .
 Headers and libraries for developing applications using
 libwebrtc-audio-coding-1

Package: libwebrtc-audio-coding-1-3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: libwebrtc-audio-processing-1-3 (<< 1.3-1~)
Breaks: libwebrtc-audio-processing-1-3 (<< 1.3-1~)
Description: WebRTC Audio Coding library
 Audio encoding-decoding library around the AudioProcessing module from the
 WebRTC project

=== debian/watch ===
version=4

https://freedesktop.org/software/pulseaudio/webrtc-audio-processing/ .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
